Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class TransformHistory

    java.lang.Object
      org.apache.batik.apps.svgbrowser.TransformHistory

    public class TransformHistory

extends Object

This class implements a transform history mechanism.

Field Summary
`protected int` | `position` The current position in the stack.
`protected List` | `transforms` The transform stack.

Constructor Summary
`TransformHistory()`

Method Summary
`void` | `back()` Goes back of one position in the history.
`boolean` | `canGoBack()` Whether it is possible to go back.
`boolean` | `canGoForward()` Whether it is possible to go forward.
`AffineTransform` | `currentTransform()` Returns the current transform.
`void` | `forward()` Goes forward of one position in the history.
`void` | `update(AffineTransform at)` Adds a transform to the history.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### transforms

    protected List transforms

  The transform stack.

### position

    protected int position

  The current position in the stack.

Constructor Detail

### TransformHistory

    public TransformHistory()

Method Detail

### back

    public void back()

  Goes back of one position in the history. Assumes that `canGoBack()` is true.

### canGoBack

    public boolean canGoBack()

  Whether it is possible to go back.

### forward

    public void forward()

  Goes forward of one position in the history. Assumes that `canGoForward()` is true.

### canGoForward

    public boolean canGoForward()

  Whether it is possible to go forward.

### currentTransform

    public AffineTransform currentTransform()

  Returns the current transform.

### update

    public void update(AffineTransform at)

  Adds a transform to the history.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.